#include "lcd.h"
#include "ekran.h"
#include "system.h"
#include "errors.h"
#include "configure.h"



void main(void)
{
    float tAmbient, tObject;
   
    ConfigureClock();
    ConfigureIo();
    ConfigureUart();

    
    ConfigureI2C();
    ConfigureTMP006();
    
    SystemSleepInit();
    SystemInterruptsEnable();
    
    LcdConfigure();
    EkranStartowy();  
    

    while(1)
    {
        ErrorsCheck();

        TMP006DataTemperatureGetFloat(&g_sTMP006Inst, &tAmbient, &tObject);
        
        SystemUartPrint(tAmbient, tObject);
        SystemLcdPrint (tAmbient, tObject);       
    

    }
}
